Skip to content

Reports whether Ollama is installed, whether this engine runs it, its endpoint and the models it holds.

GET
/v1/m/agenttools/ollama
curl --request GET \
--url https://example.com/v1/m/agenttools/ollama \
--header 'Authorization: Bearer <token>'

Reports whether Ollama is installed, whether this engine runs it, its endpoint and the models it holds.

Whether Ollama is installed and runs on this node, its endpoint and its models

Media type application/json
object
endpoint
string
installed
required
boolean
message
string
models
required
Array<string>
state
required
string
Allowed values: stopped starting running failed
Example
{
"state": "stopped"
}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden / step-up required

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict

Media type application/json
object
Example generated
{}

Required evidence or store unavailable

Media type application/json
object
Example generated
{}